slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSJDGetConstCorrectionTol

Returns a flag indicating if the dynamic stopping is being used for solving the correction equation.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSJDGetConstCorrectionTol(EPS eps,PetscBool *constant)

Not Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameter

| constant | - boolean flag indicating if the dynamic stopping criterion is not being used.

### Notes

If the flag is false the KSP relative tolerance is set to 0.5**i, where i is the number of EPS iterations from the last converged value.

### See Also

EPSJDSetConstCorrectionTol()

### Level

advanced

### Location

src/eps/impls/davidson/jd/jd.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages